Skip to main content
`Ctrl`+`K`
scipy.optimize.BFGS.

# initialize

BFGS.initialize(n, approx_type)

  Initialize internal matrix.

  Allocate internal memory for storing and updating the Hessian or its inverse.

  Parameters:
    n int

      Problem dimension.

    approx_type{‘hess’, ‘inv_hess’}

      Selects either the Hessian or the inverse Hessian. When set to ‘hess’ the Hessian will be stored and updated. When set to ‘inv_hess’ its inverse will be used instead.